Debian Bug report logs - #376283
lvm2: pvmove doesn't work

version graph

Package: libdevmapper1.02; Maintainer for libdevmapper1.02 is (unknown);

Reported by: Dennis Jørgensen <dnj@x.dtu.dk>

Date: Sat, 1 Jul 2006 16:48:02 UTC

Severity: important

Found in version 2:1.02.07-1

Fixed in version devmapper/2:1.02.08-1

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#376283; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Dennis Jørgensen <dnj@x.dtu.dk>:
New Bug report received and forwarded. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dennis Jørgensen <dnj@x.dtu.dk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lvm2: pvmove doesn't work
Date: Sat, 01 Jul 2006 18:44:49 +0200
Package: lvm2
Version: 2.02.06-2
Severity: normal


Hello


I'm trying to migrate data of a disk, but pvmove dies:


dnj@ponder:~$ sudo modprobe dm-mirror
dnj@ponder:~$ sudo pvmove -v /dev/hda6
    Wiping cache of LVM-capable devices
    Finding volume group "vg1"
    Archiving volume group "vg1" metadata (seqno 75).
    Creating logical volume pvmove0
    Moving 19310 extents of logical volume vg1/space
    Moving 0 extents of logical volume vg1/home
    Found volume group "vg1"
    Updating volume group metadata
    Creating volume group backup "/etc/lvm/backup/vg1" (seqno 76).
    Found volume group "vg1"
    Found volume group "vg1"
    Suspending vg1-space (254:0)
    Found volume group "vg1"
    Creating vg1-pvmove0
    Loading vg1-pvmove0 table
  device-mapper: reload ioctl failed: Invalid argument
  ABORTING: Temporary mirror activation failed.  Run pvmove --abort.
    Found volume group "vg1"
    Loading vg1-pvmove0 table
  device-mapper: reload ioctl failed: Invalid argument
    Loading vg1-space table
  device-mapper: reload ioctl failed: Invalid argument
dnj@ponder:~$ pvmove --abort
  /etc/lvm/.cache: open failed: Permission denied
  No volume groups found
  /etc/lvm/.cache: fopen failed: Permission denied
dnj@ponder:~$
dnj@ponder:~$ sudo pvmove --abort


It hangs on the abort. I need to reboot and run pvmove --abort
again to get the "space" LV alive again, it doesn't hang on abort
after reboot.

Heres a bit more info on the setup:


dnj@ponder:~$ sudo pvdisplay
  --- Physical volume ---
  PV Name               /dev/hdc
  VG Name               vg1
  PV Size               152,67 GB / not usable 0
  Allocatable           yes
  PE Size (KByte)       4096
  Total PE              39083
  Free PE               23577
  Allocated PE          15506
  PV UUID               3rQRhB-LNtw-6aBF-41qD-LeYu-X0ud-Z1jD2G

  --- Physical volume ---
  PV Name               /dev/hda6
  VG Name               vg1
  PV Size               128,15 GB / not usable 0
  Allocatable           yes
  PE Size (KByte)       4096
  Total PE              32806
  Free PE               13496
  Allocated PE          19310
  PV UUID               X4ew0p-Qp8y-fHwX-mxhm-J1TI-7P9L-sFZKCY

  --- Physical volume ---
  PV Name               /dev/hdb1
  VG Name               vg1
  PV Size               114,50 GB / not usable 0
  Allocatable           yes
  PE Size (KByte)       4096
  Total PE              29311
  Free PE               29311
  Allocated PE          0
  PV UUID               L9TJAu-Srr1-aK0Z-5NuG-3eqO-7B3X-QUshSH


Please let me know what other information I need to supply.


Regards


  Dennis Jørgensen


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-k7
Locale: LANG=en_DK.ISO-8859-15, LC_CTYPE=en_DK.ISO-8859-15 (charmap=ISO-8859-15)

Versions of packages lvm2 depends on:
ii  debconf [debconf-2.0]        1.5.2       Debian configuration management sy
ii  libc6                        2.3.6-15    GNU C Library: Shared libraries
ii  libdevmapper1.02             2:1.02.07-1 The Linux Kernel Device Mapper use
ii  libncurses5                  5.5-2       Shared libraries for terminal hand
ii  libreadline5                 5.1-7       GNU readline and history libraries
ii  libselinux1                  1.30-1      SELinux shared libraries
ii  libsepol1                    1.12-1      Security Enhanced Linux policy lib
ii  lvm-common                   1.5.20      The Logical Volume Manager for Lin

lvm2 recommends no packages.

-- debconf information:
  lvm2/snapshots:
  lvm2/kernel:



Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#376283; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh+reportbug@glandium.org>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 376283@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh+reportbug@glandium.org>
To: Debian Bug Tracking System <376283@bugs.debian.org>
Subject: lvm2: Same here
Date: Tue, 11 Jul 2006 10:57:12 +0200
Package: lvm2
Version: 2.02.06-2
Followup-For: Bug #376283


I got the same problem here on my 2 laptops. One runs kernel 2.6.16 
under xen hypervisor, and the other runs plain 2.6.17. Both kernels are 
standard debian kernels.

The problem can be easily reproduced with loopback devices:

mh@vaio:/share$ dd if=/dev/zero of=toto count=200 bs=1024k
ls -l toto
200+0 records in
200+0 records out
209715200 bytes (210 MB) copied, 7.59534 seconds, 27.6 MB/s
mh@vaio:/share$ su
Password: 
vaio:/share# losetup -f toto
vaio:/share# losetup /dev/loop0
/dev/loop0: [0801]:4202478 (toto)
vaio:/share# pvcreate /dev/loop0
  Physical volume "/dev/loop0" successfully created
vaio:/share# vgcreate toto /dev/loop0
  Volume group "toto" successfully created
vaio:/share# lvcreate -L 100M -n toto0 toto
  Logical volume "toto0" created
vaio:/share# lvdisplay --maps /dev/toto/toto0
  --- Logical volume ---
  LV Name                /dev/toto/toto0
  VG Name                toto
  LV UUID                Cm01Xl-6cGT-nmRB-nSgZ-q6HK-JEFq-Owe9oe
  LV Write Access        read/write
  LV Status              available
  # open                 0
  LV Size                100.00 MB
  Current LE             25
  Segments               1
  Allocation             inherit
  Read ahead sectors     0
  Block device           254:2
   
  --- Segments ---
  Logical extent 0 to 24:
    Type		linear
    Physical volume	/dev/loop0
    Physical extents	0 to 24
   
   
vaio:/share# pvdisplay /dev/loop0
  --- Physical volume ---
  PV Name               /dev/loop0
  VG Name               toto
  PV Size               196.00 MB / not usable 0   
  Allocatable           yes 
  PE Size (KByte)       4096
  Total PE              49
  Free PE               24
  Allocated PE          25
  PV UUID               35PDdH-yIu5-oeG9-kSSu-EsSI-fW4Q-cWvZI3
   
vaio:/share# pvmove -t -v -d /dev/loop0:0 /dev/loop0:25
  Test mode: Metadata will NOT be updated.
    Finding volume group "toto"
  No extents available for allocation
    Test mode: Wiping internal cache
    Wiping internal VG cache
vaio:/share# pvmove --alloc anywhere  -t -v -d /dev/loop0:0 /dev/loop0:25
  Test mode: Metadata will NOT be updated.
    Finding volume group "toto"
    Test mode: Skipping archiving of volume group.
    Creating logical volume pvmove0
  mirror: Required device-mapper target(s) not detected in your kernel
    Test mode: Wiping internal cache
    Wiping internal VG cache
vaio:/share# modprobe dm-mirror
vaio:/share# pvmove --alloc anywhere -v -d /dev/loop0:0 /dev/loop0:25
    Finding volume group "toto"
    Archiving volume group "toto" metadata (seqno 2).
    Creating logical volume pvmove0
    Moving 1 extents of logical volume toto/toto0
    Found volume group "toto"
    Updating volume group metadata
    Creating volume group backup "/etc/lvm/backup/toto" (seqno 3).
    Found volume group "toto"
    Found volume group "toto"
    Suspending toto-toto0 (254:2)
    Found volume group "toto"
    Creating toto-pvmove0
    Loading toto-pvmove0 table
  device-mapper: reload ioctl failed: Invalid argument
  ABORTING: Temporary mirror activation failed.  Run pvmove --abort.
    Found volume group "toto"
    Loading toto-pvmove0 table
  device-mapper: reload ioctl failed: Invalid argument
    Loading toto-toto0 table
  device-mapper: reload ioctl failed: Invalid argument

>From that point, any lvm command will hang and increase the load by 1. 
Hard reboot is the only solution to unfreeze.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (650, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-1-xen-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages lvm2 depends on:
ii  debconf [debconf-2.0]        1.5.2       Debian configuration management sy
ii  libc6                        2.3.6-15    GNU C Library: Shared libraries
ii  libdevmapper1.02             2:1.02.07-1 The Linux Kernel Device Mapper use
ii  libncurses5                  5.5-2       Shared libraries for terminal hand
ii  libreadline5                 5.1-7       GNU readline and history libraries
ii  libselinux1                  1.30-1      SELinux shared libraries
ii  libsepol1                    1.12-1      Security Enhanced Linux policy lib
ii  lvm-common                   1.5.20      The Logical Volume Manager for Lin

lvm2 recommends no packages.

-- debconf information excluded



Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#376283; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Erkki Lintunen <erkki.lintunen@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 376283@bugs.debian.org (full text, mbox):

From: Erkki Lintunen <erkki.lintunen@iki.fi>
To: 376283@bugs.debian.org
Subject: lvm2: pvmove doesn't work on distributed kernel in testing
Date: Wed, 19 Jul 2006 02:07:59 +0300
either
Reply-To: 

Hi,

I got the same problem first with vanilla 2.6.16.18. I upgraded to
2.6.17.6 and after that tried with kernel from the package
linux-image-2.6.15-1-k7_2.6.15-8_i386.deb.

Best regards,
Erkki




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#376283; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Stefan Pfetzing <dreamind@dreamind.de>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 376283@bugs.debian.org (full text, mbox):

From: Stefan Pfetzing <dreamind@dreamind.de>
To: 376283@bugs.debian.org
Subject: lvm2: pvmove doesn't work on distributed kernel in testing
Date: Sun, 6 Aug 2006 20:46:19 +0200
Hi,

this bug is critical. Yesterday I tried to move the extents of a pv  
to another pv on my volume group. After that the complete machine did  
hang.

My command was:
pvmove vg_system /dev/sda3 /dev/sdb3.

I then tried to use pvmove --abort, but it did only work after a  
reboot (which was quite problematic).

A locally build debian package of the latest lvm2 and device mapper  
works fine for me.

lvm2 version: 2.02.07
device-mapper version: 1.02.08

bye

Stefan

-- 
        http://www.dreamind.de/
Oroborus and Debian GNU/Linux Developer.






Severity set to `critical' from `normal' Request was from Stefan Pfetzing <dreamind@dreamind.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#376283; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #27 received at 376283@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Stefan Pfetzing <dreamind@dreamind.de>, 376283@bugs.debian.org
Subject: Re: Bug#376283: lvm2: pvmove doesn't work on distributed kernel in testing
Date: Sun, 6 Aug 2006 21:29:42 +0200
[Message part 1 (text/plain, inline)]
severity 376283 important
tags 376283 pending
thanks

On Sun, Aug 06, 2006 at 08:46:19PM +0200, Stefan Pfetzing wrote:
> this bug is critical. Yesterday I tried to move the extents of a pv  
> to another pv on my volume group. After that the complete machine did  
> hang.

No, it is not critical. If you try to move extends of a LV, which is
necessary for the system to work, and the table reloads fails like this,
it will not resume them and the filesystem remains unaccessible.

> A locally build debian package of the latest lvm2 and device mapper  
> works fine for me.

The bug is fixed in devive-mapper 1.02.08.

Bastian

-- 
You!  What PLANET is this!
		-- McCoy, "The City on the Edge of Forever", stardate 3134.0
[signature.asc (application/pgp-signature, inline)]

Severity set to `important' from `critical' Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#376283; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Stefan Pfetzing <dreamind@dreamind.de>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #36 received at 376283@bugs.debian.org (full text, mbox):

From: Stefan Pfetzing <dreamind@dreamind.de>
To: 376283@bugs.debian.org
Subject: Re: Bug#376283: lvm2: pvmove doesn't work on distributed kernel in testing
Date: Mon, 7 Aug 2006 19:27:52 +0200
Hi Bastian,

Am 06.08.2006 um 21:29 schrieb Bastian Blank:

> No, it is not critical. If you try to move extends of a LV, which is
> necessary for the system to work, and the table reloads fails like  
> this,
> it will not resume them and the filesystem remains unaccessible.

IMHO this can lead to data loss (most filesystems don't like a dead  
device they're on), so its at least grave.

Also this was _really_ a problem for me, because I tried to pvmove a  
pv on a machine, which is in a cabinet at the edge of the forest  
without a monitor and a keyboard.

>> A locally build debian package of the latest lvm2 and device mapper
>> works fine for me.
>
> The bug is fixed in devive-mapper 1.02.08.

Well, ok.

bye

Stefan

-- 
        http://www.dreamind.de/
Oroborus and Debian GNU/Linux Developer.






Bug reassigned from package `lvm2' to `libdevmapper1.02'. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dennis Jørgensen <dnj@x.dtu.dk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #43 received at 376283-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 376283-close@bugs.debian.org
Subject: Bug#376283: fixed in devmapper 2:1.02.08-1
Date: Tue, 08 Aug 2006 15:32:09 -0700
Source: devmapper
Source-Version: 2:1.02.08-1

We believe that the bug you reported is fixed in the latest version of
devmapper, which is due to be installed in the Debian FTP archive:

devmapper_1.02.08-1.diff.gz
  to pool/main/d/devmapper/devmapper_1.02.08-1.diff.gz
devmapper_1.02.08-1.dsc
  to pool/main/d/devmapper/devmapper_1.02.08-1.dsc
devmapper_1.02.08.orig.tar.gz
  to pool/main/d/devmapper/devmapper_1.02.08.orig.tar.gz
dmsetup-udeb_1.02.08-1_amd64.udeb
  to pool/main/d/devmapper/dmsetup-udeb_1.02.08-1_amd64.udeb
dmsetup_1.02.08-1_amd64.deb
  to pool/main/d/devmapper/dmsetup_1.02.08-1_amd64.deb
libdevmapper-dev_1.02.08-1_amd64.deb
  to pool/main/d/devmapper/libdevmapper-dev_1.02.08-1_amd64.deb
libdevmapper1.02-udeb_1.02.08-1_amd64.udeb
  to pool/main/d/devmapper/libdevmapper1.02-udeb_1.02.08-1_amd64.udeb
libdevmapper1.02_1.02.08-1_amd64.deb
  to pool/main/d/devmapper/libdevmapper1.02_1.02.08-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 376283@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated devmapper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue,  8 Aug 2006 22:05:44 +0000
Source: devmapper
Binary: dmsetup libdevmapper1.02-udeb libdevmapper1.02 libdevmapper-dev dmsetup-udeb
Architecture: source amd64
Version: 2:1.02.08-1
Distribution: unstable
Urgency: medium
Maintainer: Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 dmsetup    - The Linux Kernel Device Mapper userspace library
 dmsetup-udeb - The Linux Kernel Device Mapper userspace library (udeb)
 libdevmapper-dev - The Linux Kernel Device Mapper header files
 libdevmapper1.02 - The Linux Kernel Device Mapper userspace library
 libdevmapper1.02-udeb - The Linux Kernel Device Mapper userspace library (udeb)
Closes: 376283
Changes: 
 devmapper (2:1.02.08-1) unstable; urgency=medium
 .
   * New upstream version.
     - Fix corelog segment line. (closes: #376283)
Files: 
 2ced0652424148215ea938d0e3afc5cc 762 admin optional devmapper_1.02.08-1.dsc
 43c0a2b9a115197fbf5e12635007a958 924536 admin optional devmapper_1.02.08.orig.tar.gz
 db3edd9b5dc1920f1811c51a73a6313c 44898 admin optional devmapper_1.02.08-1.diff.gz
 c368d405b58216c478fed18b29a6fccf 51828 libdevel optional libdevmapper-dev_1.02.08-1_amd64.deb
 fc5faefd9d6f288057fa12be9ea6d1e7 41156 libs required libdevmapper1.02_1.02.08-1_amd64.deb
 3803814c244748f172678ab15f4d5dac 28770 debian-installer optional libdevmapper1.02-udeb_1.02.08-1_amd64.udeb
 4f50bd723a2fca2c9334d43cbd859608 28718 admin optional dmsetup_1.02.08-1_amd64.deb
 4889c274d7d536d315913177051c59c7 13386 debian-installer optional dmsetup-udeb_1.02.08-1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iEUEARECAAYFAkTZDccACgkQLkAIIn9ODhH5kACgy76z/0OtvoL+vyv2icv+PWax
iUwAl0nVUJb6RqraS3PQAxGHIPkXjxY=
=eXcJ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 20:18:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:45:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.